<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Компонент панель закладок"
	description="Содержит представления различных графических компонентов в форме закладок."
	fileName="NPCFaceTabbedPane.jar" className="org.mati.npc.faces.NPCFaceTabbedPane"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Визуальные компоненты</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InGetComponent"
		description="Связь с компонентом контейнером."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InTabbedPane"
		description="Обработка событий с вкладками"
		interfaceName="org.mati.npc.components.interfaces.TabbedPane"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InViewNextTab"
		description="Связь, служащая для передачи сообщения о переключении на следующюю закладку."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InViewPreviousTab"
		description="Связь, служащая для передачи сообщения о переключении на предыдущюю закладку."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutGetTab" description="Связь с компонетом Закладка"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceTabComponent"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--ATTRIBUTES BEGIN-->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)."
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)."
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина панели закладок."
		defaultValue="800"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота панели закладок."
		defaultValue="600"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="CyclicScrolling"
		description="Циклическое переключение между закладками."
		type="java.lang.Boolean" nullable="false" defaultValue="false">
	</Attribute>
	<Attribute name="LightHighlight"
		description="Цвет правой и нижней границы панели закладок."
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="DarkShadow"
		description="Цвет левой и верхней границы панели закладок."
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="Headless" description="Без закладок"
		type="java.lang.Boolean" nullable="false" defaultValue="false">
	</Attribute>
	<!--ATTRIBUTES END-->

</ClassComponent>
